Subject: bug#9872: hello project web page includes libc and autotools manuals?

From: Mike Frysinger <[email-masked]>
Date: Wed, 17 Jan 2024 18:46:42 -0500

On 17 Jan 2024 14:55, Karl Berry wrote:
>     from what i can tell, there's no action required for libtool here ?
> 
> Only if you want to get rid of your symlinks.

i don't think it costs us anything, so i'm not really worried

>     we aren't including any manuals in the libtool site.  those URIs work
>     because we've setup syminks, not because we copied content over.
> 
> Texinfo has supported cross-manual references "correctly" for a decade
> now (version 5.0, ca.2013). The control file is named htmlxref.cnf
> (should already be in any Texinfo installation).
> 
> I don't think you have to do anything special; the cross-manual xrefs
> should just come out referring to the manuals on their own project page.
> The implementation is described here:
> https://www.gnu.org/software/texinfo/manual/texinfo/texinfo.html#HTML-Xref

i guess it's a question of, have all the broken manuals been regenerated, and
do we care if older local archives are broken ?  what about older versions of
manuals too ?
https://www.gnu.org/software/automake/manual/index-full.html

> We never implemented links for PDFs, though, which I see you're making
> symlinks for. Is that so if someone clicks on a link in libtool.pdf
> (reading online) which goes to emacs.pdf, it works? That is not a case
> that was relevant in the past, but I imagine it could be added (not by me).

not sure why the links are there, but they were added explicitly:
revision 1.2
date: 2011-01-29 05:59:55 -0500;  author: rwild;  state: Exp;  lines: +6 -3;  commitid: AjTk1baMH0tAo96v;
* manual/.symlinks: Reorder symlinks.  Add links to PDF versions
of other manuals.
Prompted by report from Jim Warhol against Autoconf.
-mike